/*
 *   Licensed to the Apache Software Foundation (ASF) under one
 *   or more contributor license agreements.  See the NOTICE file
 *   distributed with this work for additional information
 *   regarding copyright ownership.  The ASF licenses this file
 *   to you under the Apache License, Version 2.0 (the
 *   "License"); you may not use this file except in compliance
 *   with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing,
 *   software distributed under the License is distributed on an
 *   "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *   KIND, either express or implied.  See the License for the
 *   specific language governing permissions and limitations
 *   under the License.
 *
 */
package org.apache.mina.integration.xbean;

import java.net.SocketAddress;

import org.apache.mina.integration.beans.InetSocketAddressEditor;

/**
 * Workaround for dealing with inability to annotate java docs of JDK 
 * socket address classes.
 *
 * @author <a href="http://mina.apache.org">Apache MINA Project</a>
 * @org.apache.xbean.XBean element="socketAddress" contentProperty="value"
 */
public class SocketAddressFactory {
    /**
     * @org.apache.xbean.FactoryMethod
     * Creates a SocketAddress from its String description
     * 
     * @param value The socket address as a String
     * @return A SocketAddress
     */
    public static SocketAddress create(String value) {
        InetSocketAddressEditor editor = new InetSocketAddressEditor();
        editor.setAsText(value);
        
        return (SocketAddress) editor.getValue();
    }
}
